Skip to main content
POST
/
search
Web search
curl --request POST \
  --url https://www.dench.com/api/v1/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "latest AI CRM workflows",
  "numResults": 5
}
'
{
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": "<unknown>"
  }
}

Authorizations

Authorization
string
header
required

Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.

Body

application/json
query
string
required

Search query.

type
enum<string>
Available options:
auto,
neural,
fast,
deep,
deep-reasoning,
instant
numResults
integer
Required range: 1 <= x <= 100
category
enum<string>
Available options:
company,
research paper,
news,
personal site,
financial report,
people
includeDomains
string[]
excludeDomains
string[]
startPublishedDate
string
endPublishedDate
string
includeText
string[]
excludeText
string[]
userLocation
string
moderation
boolean

Response

Successful response